## Retrieve Available Integration Systems

### cURL

```
curl --request GET \
  --url https://api.m3ter.com/organizations/{orgId}/integrationconfigs/available/systems \
  --header 'Authorization: Bearer <token>'
```

```
import requests

url = "https://api.m3ter.com/organizations/{orgId}/integrationconfigs/available/systems"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

```
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.m3ter.com/organizations/{orgId}/integrationconfigs/available/systems', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

```


```

### Response Status Codes

- **200**: Successful response
- **4XX**: Client error
- **5XX**: Server error

### Response Structure

```
[
  {
    "identifier": "<string>",
    "displayName": "<string>",
    "validationSupported": true,
    "supportedAuthTypes": []
  }
]
```

```
{
  "message": "<string>"
}
```

```
{
  "message": "<string>"
}
```

### Authorizations

- **Authorization**: string, required in the header.
  - m3ter supports machine to machine authentication using the `clientCredentials` OAuth2 flow.
  - The `authorizationCode` flow controls access for human users via the m3ter Console application.

### Path Parameters

- **orgId**: string (required)
  - UUID of the organization.

### Query Parameters

- **entityType**: string
  - The entity to retrieve the configuration for.

### Response

- **200** (application/json): Returns the available integration systems.

- **Response Items**:
  - **identifier**: string - System name.
  - **displayName**: string - User-friendly display name.
  - **validationSupported**: boolean - Whether or not m3ter supports validation of requests for this system. Requests will need to be made without validation.
  - **supportedAuthTypes**: enum<string>[] - List of supported auth types.
